summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-08-18 23:04:35 -0400
committerTim Harder <radhermit@gentoo.org>2016-08-18 23:07:39 -0400
commit80e6ab4cba3ec14990eb9267c1905138509478af (patch)
tree7681cc7beb5749197d460e06e27c5b8758aa981a /dev-libs/libebml
parentwww-client/chromium: beta channel bump (53.0.2785.70) (diff)
downloadgentoo-80e6ab4cba3ec14990eb9267c1905138509478af.tar.gz
gentoo-80e6ab4cba3ec14990eb9267c1905138509478af.tar.bz2
gentoo-80e6ab4cba3ec14990eb9267c1905138509478af.zip
dev-libs/libebml: version bump to 1.3.4
Diffstat (limited to 'dev-libs/libebml')
-rw-r--r--dev-libs/libebml/Manifest1
-rw-r--r--dev-libs/libebml/libebml-1.3.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-libs/libebml/Manifest b/dev-libs/libebml/Manifest
index ecac6fda667..a8e85dfa0e0 100644
--- a/dev-libs/libebml/Manifest
+++ b/dev-libs/libebml/Manifest
@@ -3,3 +3,4 @@ DIST libebml-1.2.2.tar.bz2 60802 SHA256 476b08c6436a96c024a53e788e7c945ce9b41cd8
DIST libebml-1.3.0.tar.gz 70425 SHA256 cd48a6d943905afe877e86f421647092956d71c7345dc9264a5123750ca8b158 SHA512 804b8e9e29add421304ef104f48170ee434cc97d6063dc4338b7fd6ad559733ed1bffd8440146674b70b3d6906f45ded4cc482d606c94c8c04bf424fd85c366e WHIRLPOOL b5656fa835753bee8b4cfa995db220de85d69604d7332e793c6b45c13100e4041e0fee8517940bde600909b529d3eee959340d3f997b174b249f13c4183ed5cd
DIST libebml-1.3.1.tar.bz2 599116 SHA256 195894b31aaca55657c9bc157d744f23b0c25597606b97cfa5a9039c4b684295 SHA512 b42d198611e480a4938fe95b920f6ee6ca37453f9551990e4310ed82651f93284f1de1d871357b6280219634bbbf6a98d4ac988e25e7bd7b5bbf5c0ba5766334 WHIRLPOOL 10879d351eb66dce6e04b0a1635e370dc82a9215b1ee61ad4b300466257bb0b06219f3ea65b090e415aef354bb8e200e19e35859d25ec5d46fa3208501373801
DIST libebml-1.3.3.tar.bz2 588607 SHA256 35fb44daa41961f94a0ac1b8f06801e88cc9bf2ad6f562ced8ab7c1f1a875499 SHA512 3ae048b468272e5ff1dc813121c1addcbbe324cd466e4b43ccce5aca148095190c10196433db951529ff62c587cc2b9a3c0c713db7921825221babaf7d4e824d WHIRLPOOL 85e973177ba1d437c0b461d81fd3b82432f22db5b1462fb6285cde7a0d6d8528ad7c9e24b0d64aa53eba78d44aec64d3842a96f00a0b6d72b255946967de1b81
+DIST libebml-1.3.4.tar.bz2 606205 SHA256 c50d3ecf133742c6549c0669c3873f968e11a365a5ba17b2f4dc339bbe51f387 SHA512 ebf5b71afe725e40ee6415463e51ca14810eecc2fef186caacd0269077f5febeb62623fd48674b21ea732f43a620d0c91603fa48d3f8d163284d1cf204642194 WHIRLPOOL 9502f132fea7d7d10add1c42da33bc2eac1a13b3b02f5b4eb331b1ab5f14a41a255503fedb16b579bb8defa94786d0f6fc5324cd55c06b6d7b5319de74a75e84
diff --git a/dev-libs/libebml/libebml-1.3.4.ebuild b/dev-libs/libebml/libebml-1.3.4.ebuild
new file mode 100644
index 00000000000..72f0399ab37
--- /dev/null
+++ b/dev-libs/libebml/libebml-1.3.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Extensible binary format library (kinda like XML)"
+HOMEPAGE="http://www.matroska.org/ https://github.com/Matroska-Org/libebml/"
+SRC_URI="http://dl.matroska.org/downloads/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0/4" # subslot = soname major version
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="debug static-libs"
+
+src_prepare() {
+ default
+ sed -i '/^AM_CXXFLAGS += -g/d' Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug)
+ $(use_enable static-libs static)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete
+}